Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 03-09-2021 18:16:51

sizy458
Membre
Distrib. : Debian Stretch
Noyau : 4.9.0-11-amd64
(G)UI : gnome
Inscription : 17-06-2018

Appimage qui ne se lance pas

Quand je lance un AppImage , ca ne marche pas.
J'ai ça.





root@persodebian:/home/cobi/Téléchargements# ./kDrive-3.2.1.20210728.AppImage
./kDrive-3.2.1.20210728.AppImage: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.27' not found (required by /tmp/.mount_kDriveLBVfaM/usr/bin/../lib/libQt5WebEngineCore.so.5)
./kDrive-3.2.1.20210728.AppImage: /lib/x86_64-linux-gnu/libm.so.6: version `GLIBC_2.27'
not found (required by /tmp/.mount_kDriveLBVfaM/usr/bin/../lib/libQt5Gui.so.5)
./kDrive-3.2.1.20210728.AppImage: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /tmp/.mount_kDriveLBVfaM/usr/bin/../lib/libQt5Core.so.5)
./kDrive-3.2.1.20210728.AppImage: /lib/x86_64-linux-gnu/libz.so.1: version `ZLIB_1.2.9'
not found (required by /tmp/.mount_kDriveLBVfaM/usr/bin/../lib/libpng16.so.16)
./kDrive-3.2.1.20210728.AppImage: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /tmp/.mount_kDriveLBVfaM/usr/bin/../lib/libcrypto.so.1.1)
./kDrive-3.2.1.20210728.AppImage: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25'
not found (required by /tmp/.mount_kDriveLBVfaM/usr/bin/../lib/libsystemd.so.0)
./kDrive-3.2.1.20210728.AppImage: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.27' not found (required by /tmp/.mount_kDriveLBVfaM/usr/bin/../lib/libsystemd.so.0)
root@persodebian:/home/cobi/Téléchargements#



Donc Comment faire ?

Merci.

Dernière modification par sizy458 (03-09-2021 18:20:00)

Hors ligne

#2 03-09-2021 19:51:24

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Appimage qui ne se lance pas

Hello
les applications Appimage se lance en user , après leur avoir donné les droits en exécution

ls -l /home/cobi/Téléchargements/kDrive-3.2.1.20210728.AppImage


il doit y avoir x (le droit d'éxécution)
si c'est pas le cas il faut rajouter le droit avec

chmod +x /home/cobi/Téléchargements/kDrive-3.2.1.20210728.AppImage



Pour lancer

/home/cobi/Téléchargements/kDrive-3.2.1.20210728.AppImage


c'est expliqué la dans le wiki smile
https://debian-facile.org/doc:systeme:appimage


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#3 03-09-2021 19:59:11

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : Appimage qui ne se lance pas

Je pense que ta version de libc6 est trop ancienne (si tu est bien sous stretch)
Il faut que tu passes sur une version supérieure de debian

Hors ligne

#4 03-09-2021 21:23:54

sizy458
Membre
Distrib. : Debian Stretch
Noyau : 4.9.0-11-amd64
(G)UI : gnome
Inscription : 17-06-2018

Re : Appimage qui ne se lance pas

David5647 a écrit :

Je pense que ta version de libc6 est trop ancienne (si tu est bien sous stretch)
Il faut que tu passes sur une version supérieure de debian


Je suis sous stretch (debian 9.5 ou 9.6 je ne sais pas)

Hors ligne

#5 03-09-2021 22:58:47

David5647
Membre
Distrib. : Debian Bullseye/Sid
Noyau : 5.7.0-2-amd64
(G)UI : KDE/i3wm
Inscription : 27-08-2017

Re : Appimage qui ne se lance pas

Tu es donc sur la version oldoldstable (stretch) de debian,
Tu dois au minimum migrer vers la oldstable (buster) ou mieux l'actuelle stable (bullseye).
As tu une raison particulière de rester sous stretch?

ps: je n'ai pas précisé, mon poste complète les conseils de Croutons, tu devras les suivre aussi pour que ça fonctionne correctement.
pps : Pour faire les mises à jours entre versions debian : supprimer les dépôts tiers et ne pas sauter de versions. (Ouvre un poste si tu n'es pas sûr)

Hors ligne

Pied de page des forums